#ifndef _TESTFPCGPHIK_H
#define _TESTFPCGPHIK_H

#include <cppunit/extensions/HelperMacros.h>

/**
 * CppUnit-Testcase. 
 */
class TestFPCGPHIK : public CppUnit::TestFixture {

    CPPUNIT_TEST_SUITE( TestFPCGPHIK );
    
    CPPUNIT_TEST(testFPCGPHIK);
    CPPUNIT_TEST(testGPHIKVariance);
//     CPPUNIT_TEST(testGPHIKIncrementalLearning);
    
    CPPUNIT_TEST_SUITE_END();
  
 private:
 
 public:
    void setUp();
    void tearDown();

    void testFPCGPHIK();
    void testGPHIKVariance();
//     void testGPHIKIncrementalLearning();

};

#endif // _TESTFPCGPHIK_H
